/**
 * Created by Tony on 2017/6/19.
 */

class calculation {
    init(calcTpl, calFee){
        let me = this;
        me.calcTpl = calcTpl;
        me.calFee = calFee;
        me.hasCompiled = false;
    };

    compile(){
        let me = this;
        me.hasCompiled = false;
        if (me.calcTpl && me.calcTpl.calcItems && me.calcTpl.calcItems.length > 0) {
            me.calcTpl.compiledSeq = [];
        }
    };
    calculate(){
        //
    }
}